package cn.com.ctop.kuaishou.modules.batch.Enums;


import com.alibaba.fastjson.JSONArray;

import java.util.ArrayList;
import java.util.List;

public enum KuaishouHourEnum {
    HOUR_0(" 00:"),
    HOUR_1(" 01:"),
    HOUR_2(" 02:"),
    HOUR_3(" 03:"),
    HOUR_4(" 04:"),
    HOUR_5(" 05:"),
    HOUR_6(" 06:"),
    HOUR_7(" 07:"),
    HOUR_8(" 08:"),
    HOUR_9(" 09:"),
    HOUR_10(" 10:"),
    HOUR_11(" 11:"),
    HOUR_12(" 12:"),
    HOUR_13(" 13:"),
    HOUR_14(" 14:"),
    HOUR_15(" 15:"),
    HOUR_16(" 16:"),
    HOUR_17(" 17:"),
    HOUR_18(" 18:"),
    HOUR_19(" 19:"),
    HOUR_20(" 20:"),
    HOUR_21(" 21:"),
    HOUR_22(" 22:"),
    HOUR_23(" 23:");


    /**
     * 类型
     */
    private String value;


    KuaishouHourEnum(String value) {
        this.value = value;

    }

    public static JSONArray getHourList() {
        JSONArray hourList = new JSONArray();
        for (KuaishouHourEnum hourEnum : KuaishouHourEnum.values()) {
            hourList.add(hourEnum.getValue());
        }
        return hourList;
    }


    public String getValue() {
        return this.value;
    }


    public void setType(String value) {
        this.value = value;
    }

    public static void main(String[] args) {
        JSONArray hourList = getHourList();
        System.err.println(hourList);
    }



}
